Ptex

Public Member Functions | Protected Member Functions | List of all members
PtexErrorHandler Class Referenceabstract

Custom handler interface redirecting Ptex error messages. More...

`#include <Ptexture.h>`

## Public Member Functions
virtual void | reportError (const char *error)=0

## Protected Member Functions
virtual | ~PtexErrorHandler ()

## Detailed Description

Custom handler interface redirecting Ptex error messages.

A custom instance of this class can be defined and supplied to the PtexCache class. Files accessed through the cache will have their error streams redirected through this interface.

Definition at line 658 of file Ptexture.h.

## Constructor & Destructor Documentation

## ◆ ~PtexErrorHandler()

virtual PtexErrorHandler::~PtexErrorHandler | ( |  | ) |
| inline protected virtual

Definition at line 660 of file Ptexture.h.

## Member Function Documentation

## ◆ reportError()

virtual void PtexErrorHandler::reportError | ( | const char * | error | ) |
| pure virtual

Referenced by PtexReader::setError().

The documentation for this class was generated from the following file:

- Ptexture.h